﻿:root {
  --bs-primary: #00455c;
  --bs-primary-rgb: 0, 69, 92;
}

/* Cabeçalho */

#header-main {
    background-color: #0f6f86;

    background-image:
        radial-gradient(
            circle at 12% 45%,
            rgba(45, 196, 210, 0.38) 0%,
            transparent 32%
        ),

        radial-gradient(
            circle at 72% 18%,
            rgba(126, 87, 255, 0.32) 0%,
            transparent 30%
        ),

        radial-gradient(
            circle at 92% 78%,
            rgba(0, 220, 255, 0.38) 0%,
            transparent 34%
        ),

        linear-gradient(
            120deg,
            #0b5c73 0%,
            #0f8298 28%,
            #16b8c4 52%,
            #5967d8 76%,
            #13a8c7 100%
        );

    background-size: 220% 220%;
    background-repeat: no-repeat;

    animation: gradientFlow 5s ease-in-out infinite;
}

@keyframes gradientFlow {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

@media (min-width: 768px) {
    #header-main-panel {
        background-color: rgb(255 255 255 / 50%) !important;
        border-radius: var(--bs-border-radius) !important;
    }
    #header-main-panel .btn-cart {
        background-image: url(data:image/png;base64,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);
    }
}




.background-gradient-flow {
    background-color: #0f6f86;

    background-image:
        radial-gradient(
            circle at 12% 45%,
            rgba(45, 196, 210, 0.38) 0%,
            transparent 32%
        ),

        radial-gradient(
            circle at 72% 18%,
            rgba(126, 87, 255, 0.32) 0%,
            transparent 30%
        ),

        radial-gradient(
            circle at 92% 78%,
            rgba(0, 220, 255, 0.38) 0%,
            transparent 34%
        ),

        linear-gradient(
            120deg,
            #0b5c73 0%,
            #0f8298 28%,
            #16b8c4 52%,
            #5967d8 76%,
            #13a8c7 100%
        );

    background-size: 220% 220%;
    background-repeat: no-repeat;

    animation: gradientFlow 20s ease-in-out infinite;
}